---
title: Contribute to Docker's docs
toc_max: 1
redirect_from:
- /CONTRIBUTING/
- /opensource/
---

We deeply value documentation contributions from the Docker community. We'd like to make it as easy
as possible for you to work in this repository. The following sections guide you through the process of contributing to Docker documentation.

<div class="component-container">
    <!--start row-->
    <div class="row">
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
             <div class="component-icon">
                 <img src="/assets/images/description.svg" alt="Docker Desktop for Mac" width="45" height="45">
             </div>
                 <h2 id="docker-for-mac"><a href="/contribute/contribute-guide/">Contribution guidelines </a></h2>
                <p>Learn about the process of contributing to our docs. </p>
        </div>
      </div>
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                 <img src="/assets/images/menu-book.svg" alt="Docker Desktop for Mac" width="45" height="45">
            </div>
                <h2 id="docker-for-mac"><a href="/contribute/style/grammar/">Grammar and style</a></h2>
                <p>Explore Docker's grammar and style guide.</p>
         </div>
     </div>
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                <img src="/assets/images/newspaper.svg" alt="Docker for Linux" width="45" height="45">
            </div>
                <h2 id="docker-for-linux"><a href="/contribute/style/formatting/">Formatting</a></h2>
                <p>Format your content to match the rest of our documentation.</p>
        </div>
    </div>
    </div>
    <!--start row-->
    <div class="row">
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                 <img src="/assets/images/checklist.svg" alt="Docker Desktop for Mac" width="45" height="45">
            </div>
                <h2 id="docker-for-linux"><a href="/contribute/style/recommended-words/">Recommended word list</a></h2>
                <p>Choose the right words for you content.</p>
        </div>
     </div>
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
          <div class="component-icon">
                 <img src="/assets/images/note-add.svg" alt="Docker Desktop for Mac" width="45" height="45">
          </div>
                <h2 id="docker-for-windows/install/"><a href="/contribute/file-conventions/">Source file conventions</a></h2>
                <p>Guidelines for creating a new page.</p>
        </div>
      </div>
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                <img src="/assets/images/spellcheck.svg" alt="Docker Desktop for Windows" width="45" height="45">
            </div>
                <h2 id="docker-for-windows/install/"><a href="/contribute/style/terminology/">Docker terminology</a></h2>
                <p>Explore commonly used Docker terms.</p>
        </div>
     </div>
    </div>
</div>

### Additional resources

We also provide:

- A section of useful components you can add to your documentation. For components and controls, we use [Bootstrap](https://getbootstrap.com)
- Information on Docker's [tone and voice](style/voice-tone.md).
- A [writing checklist](checklist.md) to help you when you're contributing to Docker's documentation.
- A command-line tool called vale to check the style and [help you find errors in your writing](contribute-guide.md#test-the-docs-locally). 
