---
title: Publish your extension to the marketplace
description: Docker extension distribution
keywords: Docker, extensions, publish
---

## Submit your extension to the marketplace

Docker Desktop displays published extensions in [the Extensions Marketplace](https://hub.docker.com/search?q=&type=extension){: target="_blank" rel="noopener" class="_" }. The Extensions Marketplace is a curated space where developers can discover extensions to improve their developer experience and propose their own extension to be available for all Desktop users.

If you want to publish your extension in the Marketplace, you can submit your extension [here](https://www.docker.com/products/extensions/submissions/){: target="_blank" rel="noopener" class="_" }.

All extensions submitted to the Extension Marketplace are reviewed and approved by the Docker Extension team before listing. This review process ensures a level of trust, security, and quality for developers using Docker Extensions and allows for extension developers to get feedback.

### Before you submit

Ensure your extension has followed the guidelines outlined in this section before submitting for your extension for review. Docker highly encourage you to check the guidelines as not doing so may considerably impact the duration of the approval process.

These guidelines don't replace Docker's terms of service or guarantee approval. As the Extension Marketplace continues adding new features for both Extension users and publishers, expect that you maintain your extension over time to ensure it stays available in the Marketplace.

#### Guidelines:

- Ensure that you’ve ran the [validation checks](validate.md)
- Review the [design guidelines](../design/design-guidelines.md)
- Ensure the [UI styling](../design/index.md) is in line with Docker Desktop guidelines
- Ensure your extensions support both light and dark mode
- Consider the needs of both new and existing users of your extension
- Test your extension with potential users
- Test your extension for crashes, bugs, and performance issues
- Test your extension on various platforms (Mac, Windows, Linux)
- Read the [Terms of Service](https://www.docker.com/legal/extensions_marketplace_developer_agreement/){: target="_blank" rel="noopener" class="_" }

### After you submit

Once you’ve submitted your extension, here is what you can expect from the review process:

- Timing: Extensions are reviewed by Docker manually. Although we strive for having your submission approved as soon as possible, bear in mind this is a manual process to ensure extensions meet high standards. If your extension is complex, if it doesn't follow the guidelines, or if you didn't complete the submission form properly, it may require more time to consider your extension.
- Rejections: Docker strives to review extensions for consideration fairly and consistently. We will do our best to provide adequate and actionable feedback for you so that we can reconsider publishing your extension after you’ve made appropriate changes. If your extension has been rejected, you can communicate directly with us.
