---
description: Docker Hub overview
keywords: Docker, docker, docker hub, hub, overview
title: Overview
---

[Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} is a service provided by Docker for
finding and sharing container images with your team. It's the world’s largest repository of container images with an array of content sources including container community developers, open source projects and independent software vendors (ISV) building and distributing their code in containers.

Users get access to free public repositories for storing and sharing images or can choose a [subscription plan](https://www.docker.com/pricing){: target="_blank" rel="noopener" class="_"} for private repositories.

Docker Hub provides the following major features:

* [Repositories](../docker-hub/repos/index.md): Push and pull container images.
* [Teams & Organizations](orgs.md): Manage access to private
repositories of container images.
* [Docker Official Images](official_images.md): Pull and use high-quality
container images provided by Docker.
* [Docker Verified Publisher Images](publish/index.md): Pull and use high-
quality container images provided by external vendors.
* [Builds](builds/index.md): Automatically build container images from
GitHub and Bitbucket and push them to Docker Hub.
* [Webhooks](webhooks.md): Trigger actions after a successful push
  to a repository to integrate Docker Hub with other services.

Docker provides a [Docker Hub CLI](https://github.com/docker/hub-tool#readme){: target="_blank" rel="noopener" class="_"} tool (currently experimental) and an API that allows you to interact with Docker Hub. Browse through the [Docker Hub API](/docker-hub/api/latest/){: target="_blank" rel="noopener" class="_"} documentation to explore the supported endpoints.

<div class="component-container">
    <!--start row-->
    <div class="row">
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
             <div class="component-icon">
                 <a href="/docker-id/"><img src="/assets/images/laptop.svg" alt="Docker ID" width="70" height="70"></a>
             </div>
                 <h2 id="docker-id"><a href="/docker-id/">Create a Docker ID </a></h2>
                <p>Sign up and create a new Docker ID</p>
        </div>
      </div>
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                 <a href="/docker-hub/repos/"><img src="/assets/images/explore.svg" alt="Docker Compose" width="70" height="70"></a>
            </div>
                <h2 id="docker-repos"><a href="/docker-hub/repos/">Create a repository</a></h2>
                <p>Create a repository to share your images with your team, customers, or Docker community. </p>
         </div>
     </div>
       <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                 <a href="/docker-hub/"><img src="/assets/images/checklist.svg" alt="quickstart" width="70" height="70"></a>
            </div>
                <h2 id="docker-hub"><a href="/docker-hub/">Quickstart</a></h2>
                <p>Step-by-step instructions on getting started on Docker Hub.</p>
    </div>
    </div>
        <!--start row-->
    <div class="row">
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
          <a href="/docker-hub/access-tokens">
           <img src="/assets/images/secure.svg" alt="secure" width="70px" height="70px">
          </a>
            </div>
                <h2 id="docker-hub"><a href="/docker-hub/access-tokens">Manage access tokens</a></h2>
                <p>Create personal access tokens as an alternative to your password.</p>
        </div>
     </div>
     <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
          <div class="component-icon">
         <a href="/docker-hub/official_images"><img src="/assets/images/build-multi-platform.svg" alt="Stacked windows" alt="Staircase" width="70px" height="70px"></a>
          </div>
                <h2 id="docker-hub"><a href="/docker-hub/official_images">Official images</a></h2>
                <p>A curated set of Docker repositories hosted on Docker Hub.</p>
        </div>
      </div>
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
        <div class="component">
            <div class="component-icon">
                <a href="/docker-hub/"><img src="/assets/images/note-add.svg" alt="Release notes" width="70" height="70"></a>
            </div>
                <h2 id="docker-release-notes"><a href="/docker-hub/release-notes/">Release notes</a></h2>
                <p>Find out about new features, improvements, and bug fixes.</p>
        </div>
     </div>
    </div>
</div>



