---
description: Home page for Get Docker
keywords: Docker, download, documentation, manual
title: Get Docker
redirect_from:
- /install/
- /install/overview/
- /installation/
---

> **Docker Desktop terms**
>
> Commercial use of Docker Desktop in larger enterprises (more than 250
> employees OR more than $10 million USD in annual revenue) and in government entities requires a paid
> subscription.

Docker is an open platform for developing, shipping, and running applications.
Docker enables you to separate your applications from your infrastructure so you
can deliver software quickly. With Docker, you can manage your infrastructure in
the same ways you manage your applications. By taking advantage of Docker’s
methodologies for shipping, testing, and deploying code quickly, you can
significantly reduce the delay between writing code and running it in production.

You can download and install Docker on multiple platforms. Refer to the following
section and choose the best installation path for you.

<div class="component-container">
    <!--start row-->
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
            <div class="component">
                <div class="component-icon">
                    <a href="/desktop/install/mac-install/"><img src="/assets/images/apple_48.svg" alt="Docker Desktop for Mac" width="70" height="70"></a>
                </div>
                <h2 id="docker-for-mac"><a href="/desktop/install/mac-install/">Docker Desktop for Mac</a></h2>
                <p>A native application using the macOS sandbox security model which delivers all Docker tools to your Mac.</p>
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
            <div class="component">
                <div class="component-icon">
                    <a href="/desktop/install/windows-install/"><img src="/assets/images/windows_48.svg" alt="Docker Desktop for Windows" width="70" height="70"></a>
                </div>
                <h2 id="docker-for-windows/install/"><a href="/desktop/install/windows-install/">Docker Desktop for Windows</a></h2>
                <p>A native Windows application which delivers all Docker tools to your Windows computer.</p>
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4 block">
            <div class="component">
                <div class="component-icon">
                    <a href="/desktop/install/linux-install/"><img src="/assets/images/linux_48.svg" alt="Docker for Linux" width="70" height="70"></a>
                </div>
                <h2 id="docker-for-linux"><a href="/desktop/install/linux-install/">Docker Desktop for Linux</a></h2>
                <p>A native Linux application which delivers all Docker tools to your Linux computer.</p>
            </div>
        </div>
    </div>
</div>
