---
title: "Educational resources"
keywords: get started, setup, orientation, quickstart, intro, concepts, kubernetes, docker desktop
description: Get started resources learning docker
---

Docker and the broader community of Docker experts have put together many different ways to get further training and hands-on experience with Docker. Expand your understanding of Docker and Kubernetes with these additional free and paid resources.

## Hosted labs

These self-paced and hands-on workshops use a free, hosted environment ([Play with Kubernetes](https://labs.play-with-k8s.com/){:target="_blank" rel="noopener" class="_"}) that does not require any installation. Follow along and learn more about Kubernetes.

* [Kubernetes Workshop](https://training.play-with-kubernetes.com/kubernetes-workshop/){:target="_blank" rel="noopener" class="_"}

* Labs are free but require registration with a Docker ID.

## Self-guided tutorials

Created by experts in the Docker community, these free tutorials provide guided step-by-step workflows for working with the Docker platform.

* **Integrating Docker with Your IDE**
    * [Java Development: Eclipse](https://training.play-with-docker.com/java-debugging-eclipse/){:target="_blank" rel="noopener" class="_"}
    * [Java Development: IntelliJ](https://training.play-with-docker.com/java-debugging-intellij/){:target="_blank" rel="noopener" class="_"}
    * [Java Development: Netbeans](https://training.play-with-docker.com/java-debugging-netbeans/){:target="_blank" rel="noopener" class="_"}
    * [Live Debugging Node.js with Docker and Visual Studio Code](https://training.play-with-docker.com/nodejs-live-debugging/){:target="_blank" rel="noopener" class="_"}

* **Windows Containers**
    * [Windows Container Setup](https://training.play-with-docker.com/windows-containers-setup/){:target="_blank" rel="noopener" class="_"}
    * [Windows Container Basics](https://training.play-with-docker.com/windows-containers-basics/){:target="_blank" rel="noopener" class="_"}
    * [Windows Containers Multi-Container Applications](https://training.play-with-docker.com/windows-containers-multicontainer/){:target="_blank" rel="noopener" class="_"}

## Books

If books are your preferred learning style, check out these written by the [Docker Captains](https://www.docker.com/community/captains){:target="_blank" rel="noopener" class="_"}. Docker Captain is a distinction that Docker awards to select members of the community that are both experts in their field and are committed to sharing their Docker knowledge with others.

* [Learn Docker in a Month of Lunches](https://www.manning.com/books/learn-docker-in-a-month-of-lunches){:target="_blank" rel="noopener" class="_"}, Elton Stoneman. Use the code `stonemanpc` for a 40% discount.
* [Docker on Windows: From 101 to Production with Docker on Windows](https://www.amazon.com/Docker-Windows-Elton-Stoneman-ebook/dp/B0711Y4J9K/){:target="_blank" rel="noopener" class="_"}, Elton Stoneman
* [Learn Kubernetes in a Month of Lunches](https://www.manning.com/books/learn-kubernetes-in-a-month-of-lunches){:target="_blank" rel="noopener" class="_"}, Elton Stoneman. Use the code `stonemanpc` for a 40% discount.
* [Docker in Action 2nd Edition](https://www.manning.com/books/docker-in-action-second-edition){:target="_blank" rel="noopener" class="_"} Jeff Nickoloff, Oct 2019
* [The Kubernetes Book](https://www.amazon.com/Kubernetes-Book-Nigel-Poulton/dp/1521823634/ref=sr_1_3?ie=UTF8&qid=1509660871&sr=8-3&keywords=nigel+poulton){:target="_blank" rel="noopener" class="_"}, Nigel Poulton, Nov 2018
* [Docker Deep Dive](https://www.amazon.com/Docker-Deep-Dive-Nigel-Poulton/dp/1521822808/ref=sr_1_1?ie=UTF8&qid=1509660871&sr=8-1&keywords=nigel+poulton){:target="_blank" rel="noopener" class="_"}, Nigel Poulton, March 2018
* [Portuguese] [Docker para desenvolvedores](https://leanpub.com/dockerparadesenvolvedores){:target="_blank" rel="noopener" class="_"} (2017) by Rafael Gomes

## CLI cheat sheet

The [Docker CLI cheat sheet](docker_cheatsheet.pdf){: target="_blank" rel="noopener" class="_"} features the common Docker CLI commands for easy reference. It covers working with Images, Containers, Docker Hub, and other general purpose commands.

## Self-Paced online learning

A number of Docker Captains have also created video courses on Docker and Kubernetes.

* [Bret Fisher](https://www.bretfisher.com/courses/){:target="_blank" rel="noopener" class="_"}: Docker Mastery, Docker Swarm Mastery, Docker Mastery for Node.js Projects
* [Elton Stoneman](https://docker4.net/udemy){:target="_blank" rel="noopener" class="_"}: Docker for .NET Apps - on Linux and Windows. Includes the discount code `644ABCBC33F474541885`.
* [Nick Janetakis](https://nickjanetakis.com/courses/){:target="_blank" rel="noopener" class="_"} Dive into Docker, Docker for DevOps
* [Nigel Poulton](https://nigelpoulton.com/video-courses){:target="_blank" rel="noopener" class="_"}: Kubernetes 101, Getting Started with Kubernetes, Docker and Kubernetes: The Big Picture, Kubernetes Deep Dive, Docker Deep Dive
* [Arun Gupta](https://www.lynda.com/Docker-tutorials/Docker-Java-developers/576584-2.html){:target="_blank" rel="noopener" class="_"}: Docker for Java Developers
* [Ajeet Singh Raina](https://collabnix.com/){:target="_blank" rel="noopener" class="_"}: Docker and Kubernetes Labs
* [French] [Luc Juggery](https://www.udemy.com/user/lucjuggery/){:target="_blank" rel="noopener" class="_"}: Introduction to Kubernetes, The Docker Platform

\* Many of the courses are fee-based
