---
description: Containerize .NET apps using Docker
keywords: Docker, getting started, .net, language
title: What will you learn in this module?
toc_min: 1
toc_max: 2
---

The .NET getting started guide teaches you how to create a containerized .NET application using Docker. In this guide, you'll learn how to:

* Create a sample .NET application
* Create a new Dockerfile which contains instructions required to build a .NET image
* Build an image and run the newly built image as a container
* Set up volumes and networking
* Orchestrate containers using Compose
* Use containers for development
* Configure a CI/CD pipeline for your application using GitHub Actions
* Deploy your application to the cloud

After completing the .NET getting started modules, you should be able to containerize your own .NET application based on the examples and instructions provided in this guide.

Let's get started!

[Build your first .NET image](build-images.md){: .button .primary-btn}
