---
title: Reference documentation
description: This section includes the reference documentation for the Docker platform’s various APIs, CLIs, and file formats.
notoc: true
---

This section includes the reference documentation for the Docker platform's
various APIs, CLIs, and file formats.

## File formats

| File format                                                         | Description                                                     |
|:--------------------------------------------------------------------|:----------------------------------------------------------------|
| [Dockerfile](/engine/reference/builder/)                            | Defines the contents and startup behavior of a single container |
| [Compose file](/compose/compose-file/)                              | Defines a multi-container application                           |


## Command-line interfaces (CLIs)

| CLI                                                            | Description                                                                                |
|:---------------------------------------------------------------|:-------------------------------------------------------------------------------------------|
| [Docker CLI](/engine/reference/commandline/cli/)               | The main CLI for Docker, includes all `docker` commands                                    |
| [Compose CLI](/compose/reference/)                             | The CLI for Docker Compose, which allows you to build and run multi-container applications |
| [Daemon CLI (dockerd)](/engine/reference/commandline/dockerd/) | Persistent process that manages containers                                                 |


## Application programming interfaces (APIs)

| API                                                   | Description                                                                            |
|:------------------------------------------------------|:---------------------------------------------------------------------------------------|
| [Engine API](/engine/api/)                            | The main API for Docker, provides programmatic access to a daemon                      |
| [Registry API](/registry/spec/api/)                   | Facilitates distribution of images to the engine                                       |
| [Docker Hub API](/docker-hub/api/latest/)             | API to interact with Docker Hub                                                        |
| [DVP Data API](/docker-hub/api/dvp/)                  | API for Docker Verified Publishers to fetch analytics data                             | 

## Drivers and specifications

| Driver                                                 | Description                                                                        |
|:-------------------------------------------------------|:-----------------------------------------------------------------------------------|
| [Image specification](/registry/spec/manifest-v2-2/)   | Describes the various components of a Docker image                                 |
| [Registry token authentication](/registry/spec/auth/)  | Outlines the Docker Registry authentication scheme                                 |
| [Registry storage drivers](/registry/storage-drivers/) | Enables support for given cloud providers when storing images with Registry        |
