---
description: Upgrading your Docker subscription
keywords: Docker Hub, upgrade, subscription, Pro, Team, business, pricing plan,
title: Upgrade your subscription
redirect_from:
- /docker-hub/upgrade/
- /docker-hub/billing/upgrade/
---

This page contains information on how to purchase a Docker paid subscription. It also contains information on how to upgrade your existing subscription and update your billing information.

You can upgrade from Docker Personal to a Pro, Team, or a Business subscription from a Personal subscription. When you upgrade to a paid subscription, you can immediately use all the features and entitlements offered in your new subscription. For detailed information on features available in each subscription, see [Docker Pricing](https://www.docker.com/pricing){: target="_blank" rel="noopener" class="_"}.

## Upgrade to a Pro, Team, or Business subscription

The following section contains information on how to purchase a Docker  subscription for new customers. To upgrade from a Personal subscription to a Team or Business subscription, you must first convert your personal namespace to an organization namespace. To learn more, see [convert an account into an organization](../docker-hub/convert-account.md).

To purchase a Pro, Team, or Business subscription:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. To upgrade your Personal subscription, click **Upgrade**. To upgrade your Pro or Team subscription, open the drop-down menu next to your username in the top-right corner and select **Billing**. On the **Billing Details** page, click **Change plan** to navigate to the pricing page.

   > **Note**
   >
   > If you haven't created an organization for a Team or Business subscription, select **Create Organization** from the drop-down menu and select your plan. If you already have a subscription, you can also add another organization. Select **Buy Now** and continue with the on-screen instructions. The Team subscription is now a 100 seat limit. For more seats, you can upgrade to a Business subscription.

3. On the **Organization Size** page, select your annual or monthly subscription and update the number of users for your organization. If you are upgrading to a Business subscription, you must choose an annual subscription.


    > **Note**
    >
    > To upgrade to a Business subscription via purchase orders you must have at least 25 seats. To create a purchase order,  specify the number of users and then select the **Contact Sales form**. Then, continue the on-screen instructions for the billing details and select **Purchase**.

4. Select **Continue to Payment** and update the fields to complete your purchase.

## Switch from a monthly subscription to an annual subscription

To upgrade from a monthly subscription to an annual subscription:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account as an organization owner or with your personal account.
2. Open the drop-down menu next to your username in the top-right corner and select **Billing**.
3. Select your personal account or organization from the left-hand menu and select the **Payment Methods** tab.
4. Select **switch to annual billing**
5. Review the information displayed on the **Change to an Annual subscription** page and select **Accept Terms and Purchase** to confirm.

You can view the confirmation of the upgrade with an invoice containing details about your new subscription, entitlements, and the total cost on the **Billing** page.

## Update billing information

You must be an owner of the organization to make changes to the billing information.

To update the billing information for your organization or personal account:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account as an organization owner or with your personal account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing**.

3. Select your personal account or organization from the left-hand menu, select the **Payment Methods** tab, and continue with the on-screen instructions.

    > **Note**
    >
    > The details displayed in the **Contact Information** section is used to generate your invoice. All billing-related information is sent to the email address listed in this section. Invoices are sent to one email address. Please contact your administrator to create a group within your organization that includes all of the email addresses.

4. Select **Update** to save your changes.
